Skip to main content
GET
Get

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-11-04.everglades"

Path Parameters

api_key_id
string
required

The unique identifier of the API key.

Example:

"api_key_123"

Response

200 - application/json

Successfully retrieved the API key.

object
enum<string>
required

The object type, which is always api_key.

Available options:
api_key
Example:

"api_key"

id
string
required

ID of the API key. Attribution fields such as created_by_id on other resources hold this ID when the API key performed the action.

Example:

"api_key_123"

name
string
required

Name of the API key.

Example:

"My CI/CD Key"

description
string | null
required

A free-form description of the API key.

Example:

"CI token for the staging deploy pipeline"

scopes
string[]
required

Slugs of the scopes granted to the API key.

Example:
last_used_at
string<date-time> | null
required

Timestamp of when the API key last successfully authenticated a request. Null if the API key has never been used.

Example:

"2021-01-01T00:00:00Z"

created_at
string<date-time>
required

Timestamp of when the API key was created.

Example:

"2021-01-01T00:00:00Z"

updated_at
string<date-time>
required

Timestamp of when the API key was last updated.

Example:

"2021-01-01T00:00:00Z"

deleted_at
string<date-time> | null
required

Timestamp of when the API key was deleted. Null if the API key is active. A deleted API key can no longer authenticate requests.

Example:

"2021-01-01T00:00:00Z"

created_by_id
string
required

ID of the user who created the API key.

Example:

"usr_123"